unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, ExtCtrls, DBCtrls, DB, ADODB, Grids, DBGrids, StdCtrls, WUpdate,
  ComCtrls;

type
  TForm1 = class(TForm)
    Button1: TButton;
    ADOQuery1: TADOQuery;
    DataSource1: TDataSource;
    WebUpdate1: TWebUpdate;
    PageControl1: TPageControl;
    TabSheet1: TTabSheet;
    TabSheet2: TTabSheet;
    Memo1: TMemo;
    DBNavigator1: TDBNavigator;
    DBGrid1: TDBGrid;
    ListBox1: TListBox;
    ADOConnection1: TADOConnection;
    Label1: TLabel;
    procedure WebUpdate1Status(Sender: TObject; StatusStr: string; StatusCode,
      ErrCode: Integer);
    procedure Button1Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
    procedure InitData;
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.Button1Click(Sender: TObject);
var
  i: integer;
begin
  adoquery1.Close;
  adoquery1.Active := false;
  adoconnection1.Connected := false;

  i := getsizeoffile('.\DB\cars.mdb');
  showmessage(inttostr(i));

  i := getsizeoffile('.\DB\cars.mdb');
  showmessage(inttostr(i));

  webupdate1.DoUpdate;
  InitData;
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
  InitData;
end;

procedure TForm1.InitData;
begin
  adoconnection1.Connected := true;
  adoquery1.Open;
  memo1.Lines.LoadFromFile('.\Text\carbon.txt');
end;

procedure TForm1.WebUpdate1Status(Sender: TObject; StatusStr: string;
  StatusCode, ErrCode: Integer);
begin
  listbox1.Items.Add(statusstr);
end;

end.
